<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Book/Scripts/5_mission/dayzexpansion_book/book/booktabs/serverinfo/expansionbookmenutabserverinfosetting.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/d93/expansionbookmenutabserverinfosetting_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionbookmenutabserverinfosetting.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d2/d93/expansionbookmenutabserverinfosetting_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionBookMenuTabServerInfoSetting.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html">ExpansionBookMenuTabServerInfoSetting</a>: ExpansionScriptView</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#ad2c91ee717341eb736bf7288cc804923">   15</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#ad2c91ee717341eb736bf7288cc804923">m_Name</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#ac7cdb8f92539ed48cd031faa5ea25a38">   16</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#ac7cdb8f92539ed48cd031faa5ea25a38">m_Desc</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#af0db17b19e05714fe624a89aee0eb389">   17</a></span>    ref <a class="code hl_class" href="../../dc/dd0/class_expansion_tooltip_server_setting_entry.html">ExpansionTooltipServerSettingEntry</a> <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#af0db17b19e05714fe624a89aee0eb389">m_Tooltip</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a15f7841c1ce095cd6d43d309ddb3a4fc">   18</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a15f7841c1ce095cd6d43d309ddb3a4fc">m_Setting</a>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a90acdd0bb674dc50750685d0ac9a2f86">   20</a></span>    ref <a class="code hl_class" href="../../dd/df9/class_expansion_book_menu_tab_server_info_setting_controller.html">ExpansionBookMenuTabServerInfoSettingController</a> <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a90acdd0bb674dc50750685d0ac9a2f86">m_SettingEntryController</a>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a44e17f7765e26a6f0e033b5162429653">   22</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a44e17f7765e26a6f0e033b5162429653">ExpansionBookMenuTabServerInfoSetting</a>(<span class="keywordtype">string</span> name, <span class="keywordtype">string</span> desc, <span class="keywordtype">string</span> setting)</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <a class="code hl_function" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#ab68434a4ec3a00738daad7d1d772b24f">UpdateSetting</a>(name, desc, setting);</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a90acdd0bb674dc50750685d0ac9a2f86">m_SettingEntryController</a>)</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>            <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a90acdd0bb674dc50750685d0ac9a2f86">m_SettingEntryController</a> = <a class="code hl_class" href="../../dd/df9/class_expansion_book_menu_tab_server_info_setting_controller.html">ExpansionBookMenuTabServerInfoSettingController</a>.Cast(GetController());</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <a class="code hl_function" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a647033385f5caf87d888e64769fbc23a">SetView</a>();</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    }</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#ab47e11f237b389230410f0e5b8aa743f">   32</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#ab47e11f237b389230410f0e5b8aa743f">GetLayoutFile</a>()</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;DayZExpansion/Book/GUI/layouts/tabs/serverinfo/expansion_book_tab_serverinfo_setting_entry.layout&quot;</span>;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    }</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a647033385f5caf87d888e64769fbc23a">   37</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a647033385f5caf87d888e64769fbc23a">SetView</a>()</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a90acdd0bb674dc50750685d0ac9a2f86">m_SettingEntryController</a>.<a class="code hl_variable" href="../../dd/df9/class_expansion_book_menu_tab_server_info_setting_controller.html#a8270ccb1c49b283a3a9e04ad48af8650">SettingName</a> = <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#ad2c91ee717341eb736bf7288cc804923">m_Name</a>;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a90acdd0bb674dc50750685d0ac9a2f86">m_SettingEntryController</a>.NotifyPropertyChanged(<span class="stringliteral">&quot;SettingName&quot;</span>);</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a90acdd0bb674dc50750685d0ac9a2f86">m_SettingEntryController</a>.<a class="code hl_variable" href="../../dd/df9/class_expansion_book_menu_tab_server_info_setting_controller.html#a0f89d15adce1a940f8e77b41303dd16b">SettingState</a> = <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a15f7841c1ce095cd6d43d309ddb3a4fc">m_Setting</a>;  </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a90acdd0bb674dc50750685d0ac9a2f86">m_SettingEntryController</a>.NotifyPropertyChanged(<span class="stringliteral">&quot;SettingState&quot;</span>);</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a53d113ceb6a31baf027be5e2589665a5">   46</a></span>    <span class="keyword">override</span> <span class="keyword">typename</span> <a class="code hl_function" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a53d113ceb6a31baf027be5e2589665a5">GetControllerType</a>() </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../dd/df9/class_expansion_book_menu_tab_server_info_setting_controller.html">ExpansionBookMenuTabServerInfoSettingController</a>;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#aa298bf789912dbd95663d874499bd503">   51</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#aa298bf789912dbd95663d874499bd503">OnMouseEnter</a>(Widget w, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y)</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <span class="keywordflow">if</span> (w == GetLayoutRoot())</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        {</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>            <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#af0db17b19e05714fe624a89aee0eb389">m_Tooltip</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../dc/dd0/class_expansion_tooltip_server_setting_entry.html">ExpansionTooltipServerSettingEntry</a>(<a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#ad2c91ee717341eb736bf7288cc804923">m_Name</a>, <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#ac7cdb8f92539ed48cd031faa5ea25a38">m_Desc</a>);</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        }</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <span class="keywordflow">return</span> super.OnMouseEnter(w, x, y);</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    }</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a915505e2bfbaf9b95e1bb258bb1dc372">   61</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a915505e2bfbaf9b95e1bb258bb1dc372">OnMouseLeave</a>(Widget w, Widget enterW, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y)</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <span class="keywordflow">if</span> (w == GetLayoutRoot())</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        {</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>            <span class="keyword">delete</span> <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#af0db17b19e05714fe624a89aee0eb389">m_Tooltip</a>;</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        }</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        <span class="keywordflow">return</span> super.OnMouseLeave(w, enterW, x, y);</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span><span class="comment"></span> </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span><span class="comment">    //! Dynamically update setting</span></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span><span class="comment">    //! Other mods can override this (calling super) to add their own settings</span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno"><a class="line" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#ab68434a4ec3a00738daad7d1d772b24f">   73</a></span><span class="comment"></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#ab68434a4ec3a00738daad7d1d772b24f">UpdateSetting</a>(<span class="keywordtype">string</span> name, <span class="keywordtype">string</span> desc, <span class="keywordtype">string</span> setting)</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    {</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <span class="keywordflow">switch</span> (name)</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        {</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span><span class="preprocessor">            #ifdef EXPANSIONMODBASEBUILDING</span><span class="comment"></span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span><span class="comment">            //! BaseBuilding</span></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span><span class="comment"></span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;Expansion.Settings.BaseBuilding.CanCraftVanillaBasebuilding&quot;</span>:</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>                <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#ad2c91ee717341eb736bf7288cc804923">m_Name</a> = <span class="stringliteral">&quot;#STR_EXPANSION_SETTINGS_BB_CANCRAFTVANILLABASEBUILDING&quot;</span>;</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>                <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a15f7841c1ce095cd6d43d309ddb3a4fc">m_Setting</a> = <a class="code hl_function" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a1871c0d917547fc0f86161850199203b">BoolToString</a>(GetExpansionSettings().GetBaseBuilding().<a class="code hl_variable" href="../../d0/dc7/expansionbasebuildingsettings_8c.html#a88411b337d3c056629231f842cda3c63">CanCraftVanillaBasebuilding</a>);</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;Expansion.Settings.BaseBuilding.CanCraftExpansionBasebuilding&quot;</span>:</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>                <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#ad2c91ee717341eb736bf7288cc804923">m_Name</a> = <span class="stringliteral">&quot;#STR_EXPANSION_SETTINGS_BB_CANCRAFTEXPANSIONBASEBUILDING&quot;</span>;</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>                <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a15f7841c1ce095cd6d43d309ddb3a4fc">m_Setting</a> = <a class="code hl_function" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a1871c0d917547fc0f86161850199203b">BoolToString</a>(GetExpansionSettings().GetBaseBuilding().<a class="code hl_variable" href="../../d0/dc7/expansionbasebuildingsettings_8c.html#ace13b58b2b5e0cbabd37a53cfeb0e567">CanCraftExpansionBasebuilding</a>);</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span><span class="comment"></span> </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span><span class="comment">            //! Raid</span></div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span><span class="comment"></span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;Expansion.Settings.Raid.CanRaidSafes&quot;</span>:</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>                <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#ad2c91ee717341eb736bf7288cc804923">m_Name</a> = <span class="stringliteral">&quot;#STR_EXPANSION_SETTINGS_BB_CANRAIDSAFES&quot;</span>;</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>                <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a15f7841c1ce095cd6d43d309ddb3a4fc">m_Setting</a> = <a class="code hl_function" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a1871c0d917547fc0f86161850199203b">BoolToString</a>(GetExpansionSettings().GetRaid().CanRaidSafes);</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;Expansion.Settings.Raid.SafeExplosionDamageMultiplier&quot;</span>:</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>                <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#ad2c91ee717341eb736bf7288cc804923">m_Name</a> = <span class="stringliteral">&quot;#STR_EXPANSION_SETTINGS_BB_SAFE_EXPLOSIONDAMAGEMULTIPLIER&quot;</span>;</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>                <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a15f7841c1ce095cd6d43d309ddb3a4fc">m_Setting</a> = GetExpansionSettings().GetRaid().SafeExplosionDamageMultiplier.ToString();</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;Expansion.Settings.Raid.SafeProjectileDamageMultiplier&quot;</span>:</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>                <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#ad2c91ee717341eb736bf7288cc804923">m_Name</a> = <span class="stringliteral">&quot;#STR_EXPANSION_SETTINGS_BB_SAFE_PROJECTILEDAMAGEMULTIPLIER&quot;</span>;</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>                <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a15f7841c1ce095cd6d43d309ddb3a4fc">m_Setting</a> = GetExpansionSettings().GetRaid().SafeProjectileDamageMultiplier.ToString();</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;Expansion.Settings.Raid.ExplosionTime&quot;</span>:</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>                <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#ad2c91ee717341eb736bf7288cc804923">m_Name</a> = <span class="stringliteral">&quot;#STR_EXPANSION_SETTINGS_BB_EXPLOSIONTIME&quot;</span>;</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>                <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a15f7841c1ce095cd6d43d309ddb3a4fc">m_Setting</a> = GetExpansionSettings().GetRaid().ExplosionTime.ToString();</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;Expansion.Settings.Raid.ExplosionDamageMultiplier&quot;</span>:</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>                <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#ad2c91ee717341eb736bf7288cc804923">m_Name</a> = <span class="stringliteral">&quot;#STR_EXPANSION_SETTINGS_BB_EXPLOSIONDAMAGEMULTIPLIER&quot;</span>;</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>                <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a15f7841c1ce095cd6d43d309ddb3a4fc">m_Setting</a> = GetExpansionSettings().GetRaid().ExplosionDamageMultiplier.ToString();</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;Expansion.Settings.Raid.ProjectileDamageMultiplier&quot;</span>:</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>                <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#ad2c91ee717341eb736bf7288cc804923">m_Name</a> = <span class="stringliteral">&quot;#STR_EXPANSION_SETTINGS_BB_PROJECTILEDAMAGEMULTIPLIER&quot;</span>;</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>                <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a15f7841c1ce095cd6d43d309ddb3a4fc">m_Setting</a> = GetExpansionSettings().GetRaid().ProjectileDamageMultiplier.ToString();</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span><span class="preprocessor">            #endif</span></div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span> </div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span><span class="preprocessor">            #ifdef EXPANSIONMODNAVIGATION</span><span class="comment"></span></div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span><span class="comment">            //! Map</span></div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span><span class="comment"></span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;Expansion.Settings.Map.NeedGPSItemForKeyBinding&quot;</span>:</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>                <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#ad2c91ee717341eb736bf7288cc804923">m_Name</a> = <span class="stringliteral">&quot;#STR_EXPANSION_SETTINGS_GEN_NEEDGPSITEMFORKEYBINDING&quot;</span>;</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>                <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a15f7841c1ce095cd6d43d309ddb3a4fc">m_Setting</a> = <a class="code hl_function" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a1871c0d917547fc0f86161850199203b">BoolToString</a>(GetExpansionSettings().GetMap().NeedGPSItemForKeyBinding);</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;Expansion.Settings.Map.NeedMapItemForKeyBinding&quot;</span>:</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>                <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#ad2c91ee717341eb736bf7288cc804923">m_Name</a> = <span class="stringliteral">&quot;#STR_EXPANSION_SETTINGS_GEN_NEEDMAPITEMFORKEYBINDING&quot;</span>;</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>                <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a15f7841c1ce095cd6d43d309ddb3a4fc">m_Setting</a> = <a class="code hl_function" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a1871c0d917547fc0f86161850199203b">BoolToString</a>(GetExpansionSettings().GetMap().NeedMapItemForKeyBinding);</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span><span class="preprocessor">            #endif</span></div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span> </div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span><span class="preprocessor">            #ifdef EXPANSIONMODGROUPS</span><span class="comment"></span></div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span><span class="comment">            //! Party</span></div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span><span class="comment"></span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;Expansion.Settings.Party.MaxMembersInParty&quot;</span>:</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>                <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#ad2c91ee717341eb736bf7288cc804923">m_Name</a> = <span class="stringliteral">&quot;#STR_EXPANSION_SETTINGS_P_MAXINPARTY&quot;</span>;</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>                <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a15f7841c1ce095cd6d43d309ddb3a4fc">m_Setting</a> = GetExpansionSettings().GetParty().MaxMembersInParty.ToString();</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;Expansion.Settings.Party.UseWholeMapForInviteList&quot;</span>:</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>                <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#ad2c91ee717341eb736bf7288cc804923">m_Name</a> = <span class="stringliteral">&quot;#STR_EXPANSION_SETTINGS_P_USEWHOLEMAPFORINVITELIST&quot;</span>;</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>                <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a15f7841c1ce095cd6d43d309ddb3a4fc">m_Setting</a> = <a class="code hl_function" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a1871c0d917547fc0f86161850199203b">BoolToString</a>(GetExpansionSettings().GetParty().<a class="code hl_variable" href="../../d3/d61/expansionterritorysettings_8c.html#a403ed449c1c5efd661a8a1c6717c7cad">UseWholeMapForInviteList</a>);</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span><span class="preprocessor">            #endif</span></div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span> </div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span><span class="preprocessor">            #ifdef EXPANSIONMODBASEBUILDING</span><span class="comment"></span></div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span><span class="comment">            //! Territory</span></div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span><span class="comment"></span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;Expansion.Settings.Territory.TerritorySize&quot;</span>:</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>                <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#ad2c91ee717341eb736bf7288cc804923">m_Name</a> = <span class="stringliteral">&quot;#STR_EXPANSION_SETTINGS_T_TERRITORYSIZE&quot;</span>;</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>                <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a15f7841c1ce095cd6d43d309ddb3a4fc">m_Setting</a> = GetExpansionSettings().GetTerritory().TerritorySize.ToString();</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;Expansion.Settings.Territory.UseWholeMapForInviteList&quot;</span>:</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>                <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#ad2c91ee717341eb736bf7288cc804923">m_Name</a> = <span class="stringliteral">&quot;#STR_EXPANSION_SETTINGS_P_USEWHOLEMAPFORINVITELIST&quot;</span>;</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>                <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a15f7841c1ce095cd6d43d309ddb3a4fc">m_Setting</a> = <a class="code hl_function" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a1871c0d917547fc0f86161850199203b">BoolToString</a>(GetExpansionSettings().GetTerritory().<a class="code hl_variable" href="../../d3/d61/expansionterritorysettings_8c.html#a403ed449c1c5efd661a8a1c6717c7cad">UseWholeMapForInviteList</a>);</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span><span class="preprocessor">            #endif</span></div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span> </div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>            <span class="keywordflow">default</span>:</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>                <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#ad2c91ee717341eb736bf7288cc804923">m_Name</a> = name;</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>                <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#ac7cdb8f92539ed48cd031faa5ea25a38">m_Desc</a> = desc;</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>                <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a15f7841c1ce095cd6d43d309ddb3a4fc">m_Setting</a> = setting;</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>        }</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span> </div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#ac7cdb8f92539ed48cd031faa5ea25a38">m_Desc</a> &amp;&amp; <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#ad2c91ee717341eb736bf7288cc804923">m_Name</a>.IndexOf(<span class="stringliteral">&quot;#STR_EXPANSION_&quot;</span>) == 0)</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>            <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#ac7cdb8f92539ed48cd031faa5ea25a38">m_Desc</a> = <a class="code hl_variable" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#ad2c91ee717341eb736bf7288cc804923">m_Name</a> + <span class="stringliteral">&quot;_DESC&quot;</span>;</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>    }</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span> </div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno"><a class="line" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a1871c0d917547fc0f86161850199203b">  162</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a1871c0d917547fc0f86161850199203b">BoolToString</a>(<span class="keywordtype">bool</span> state)</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>    {</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>        <span class="keywordflow">if</span> (state)</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>            <span class="keywordflow">return</span> <span class="stringliteral">&quot;#STR_EXPANSION_BOOK_SETTINGS_ENABLED&quot;</span>;</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;#STR_EXPANSION_BOOK_SETTINGS_DISABLED&quot;</span>;</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>    }</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>};</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span> </div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno"><a class="line" href="../../dd/df9/class_expansion_book_menu_tab_server_info_setting_controller.html">  170</a></span><span class="keyword">class </span><a class="code hl_class" href="../../dd/df9/class_expansion_book_menu_tab_server_info_setting_controller.html">ExpansionBookMenuTabServerInfoSettingController</a>: ExpansionViewController </div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>{</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno"><a class="line" href="../../dd/df9/class_expansion_book_menu_tab_server_info_setting_controller.html#a8270ccb1c49b283a3a9e04ad48af8650">  172</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../dd/df9/class_expansion_book_menu_tab_server_info_setting_controller.html#a8270ccb1c49b283a3a9e04ad48af8650">SettingName</a>;</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno"><a class="line" href="../../dd/df9/class_expansion_book_menu_tab_server_info_setting_controller.html#a0f89d15adce1a940f8e77b41303dd16b">  173</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../dd/df9/class_expansion_book_menu_tab_server_info_setting_controller.html#a0f89d15adce1a940f8e77b41303dd16b">SettingState</a>;</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>};</div>
<div class="ttc" id="aclass_expansion_book_menu_tab_server_info_setting_controller_html"><div class="ttname"><a href="../../dd/df9/class_expansion_book_menu_tab_server_info_setting_controller.html">ExpansionBookMenuTabServerInfoSettingController</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d93/expansionbookmenutabserverinfosetting_8c_source.html#l00170">expansionbookmenutabserverinfosetting.c:171</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_server_info_setting_controller_html_a0f89d15adce1a940f8e77b41303dd16b"><div class="ttname"><a href="../../dd/df9/class_expansion_book_menu_tab_server_info_setting_controller.html#a0f89d15adce1a940f8e77b41303dd16b">ExpansionBookMenuTabServerInfoSettingController::SettingState</a></div><div class="ttdeci">string SettingState</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d93/expansionbookmenutabserverinfosetting_8c_source.html#l00173">expansionbookmenutabserverinfosetting.c:173</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_server_info_setting_controller_html_a8270ccb1c49b283a3a9e04ad48af8650"><div class="ttname"><a href="../../dd/df9/class_expansion_book_menu_tab_server_info_setting_controller.html#a8270ccb1c49b283a3a9e04ad48af8650">ExpansionBookMenuTabServerInfoSettingController::SettingName</a></div><div class="ttdeci">string SettingName</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d93/expansionbookmenutabserverinfosetting_8c_source.html#l00172">expansionbookmenutabserverinfosetting.c:172</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_server_info_setting_html"><div class="ttname"><a href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html">ExpansionBookMenuTabServerInfoSetting</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d93/expansionbookmenutabserverinfosetting_8c_source.html#l00013">expansionbookmenutabserverinfosetting.c:14</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_server_info_setting_html_a15f7841c1ce095cd6d43d309ddb3a4fc"><div class="ttname"><a href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a15f7841c1ce095cd6d43d309ddb3a4fc">ExpansionBookMenuTabServerInfoSetting::m_Setting</a></div><div class="ttdeci">string m_Setting</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d93/expansionbookmenutabserverinfosetting_8c_source.html#l00018">expansionbookmenutabserverinfosetting.c:18</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_server_info_setting_html_a1871c0d917547fc0f86161850199203b"><div class="ttname"><a href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a1871c0d917547fc0f86161850199203b">ExpansionBookMenuTabServerInfoSetting::BoolToString</a></div><div class="ttdeci">string BoolToString(bool state)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d93/expansionbookmenutabserverinfosetting_8c_source.html#l00162">expansionbookmenutabserverinfosetting.c:162</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_server_info_setting_html_a44e17f7765e26a6f0e033b5162429653"><div class="ttname"><a href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a44e17f7765e26a6f0e033b5162429653">ExpansionBookMenuTabServerInfoSetting::ExpansionBookMenuTabServerInfoSetting</a></div><div class="ttdeci">void ExpansionBookMenuTabServerInfoSetting(string name, string desc, string setting)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d93/expansionbookmenutabserverinfosetting_8c_source.html#l00022">expansionbookmenutabserverinfosetting.c:22</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_server_info_setting_html_a53d113ceb6a31baf027be5e2589665a5"><div class="ttname"><a href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a53d113ceb6a31baf027be5e2589665a5">ExpansionBookMenuTabServerInfoSetting::GetControllerType</a></div><div class="ttdeci">override GetControllerType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d93/expansionbookmenutabserverinfosetting_8c_source.html#l00046">expansionbookmenutabserverinfosetting.c:46</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_server_info_setting_html_a647033385f5caf87d888e64769fbc23a"><div class="ttname"><a href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a647033385f5caf87d888e64769fbc23a">ExpansionBookMenuTabServerInfoSetting::SetView</a></div><div class="ttdeci">void SetView()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d93/expansionbookmenutabserverinfosetting_8c_source.html#l00037">expansionbookmenutabserverinfosetting.c:37</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_server_info_setting_html_a90acdd0bb674dc50750685d0ac9a2f86"><div class="ttname"><a href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a90acdd0bb674dc50750685d0ac9a2f86">ExpansionBookMenuTabServerInfoSetting::m_SettingEntryController</a></div><div class="ttdeci">ref ExpansionBookMenuTabServerInfoSettingController m_SettingEntryController</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d93/expansionbookmenutabserverinfosetting_8c_source.html#l00020">expansionbookmenutabserverinfosetting.c:20</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_server_info_setting_html_a915505e2bfbaf9b95e1bb258bb1dc372"><div class="ttname"><a href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#a915505e2bfbaf9b95e1bb258bb1dc372">ExpansionBookMenuTabServerInfoSetting::OnMouseLeave</a></div><div class="ttdeci">override bool OnMouseLeave(Widget w, Widget enterW, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d93/expansionbookmenutabserverinfosetting_8c_source.html#l00061">expansionbookmenutabserverinfosetting.c:61</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_server_info_setting_html_aa298bf789912dbd95663d874499bd503"><div class="ttname"><a href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#aa298bf789912dbd95663d874499bd503">ExpansionBookMenuTabServerInfoSetting::OnMouseEnter</a></div><div class="ttdeci">override bool OnMouseEnter(Widget w, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d93/expansionbookmenutabserverinfosetting_8c_source.html#l00051">expansionbookmenutabserverinfosetting.c:51</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_server_info_setting_html_ab47e11f237b389230410f0e5b8aa743f"><div class="ttname"><a href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#ab47e11f237b389230410f0e5b8aa743f">ExpansionBookMenuTabServerInfoSetting::GetLayoutFile</a></div><div class="ttdeci">override string GetLayoutFile()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d93/expansionbookmenutabserverinfosetting_8c_source.html#l00032">expansionbookmenutabserverinfosetting.c:32</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_server_info_setting_html_ab68434a4ec3a00738daad7d1d772b24f"><div class="ttname"><a href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#ab68434a4ec3a00738daad7d1d772b24f">ExpansionBookMenuTabServerInfoSetting::UpdateSetting</a></div><div class="ttdeci">void UpdateSetting(string name, string desc, string setting)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d93/expansionbookmenutabserverinfosetting_8c_source.html#l00073">expansionbookmenutabserverinfosetting.c:73</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_server_info_setting_html_ac7cdb8f92539ed48cd031faa5ea25a38"><div class="ttname"><a href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#ac7cdb8f92539ed48cd031faa5ea25a38">ExpansionBookMenuTabServerInfoSetting::m_Desc</a></div><div class="ttdeci">string m_Desc</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d93/expansionbookmenutabserverinfosetting_8c_source.html#l00016">expansionbookmenutabserverinfosetting.c:16</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_server_info_setting_html_ad2c91ee717341eb736bf7288cc804923"><div class="ttname"><a href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#ad2c91ee717341eb736bf7288cc804923">ExpansionBookMenuTabServerInfoSetting::m_Name</a></div><div class="ttdeci">string m_Name</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d93/expansionbookmenutabserverinfosetting_8c_source.html#l00015">expansionbookmenutabserverinfosetting.c:15</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_server_info_setting_html_af0db17b19e05714fe624a89aee0eb389"><div class="ttname"><a href="../../d5/d3c/class_expansion_book_menu_tab_server_info_setting.html#af0db17b19e05714fe624a89aee0eb389">ExpansionBookMenuTabServerInfoSetting::m_Tooltip</a></div><div class="ttdeci">ref ExpansionTooltipServerSettingEntry m_Tooltip</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d93/expansionbookmenutabserverinfosetting_8c_source.html#l00017">expansionbookmenutabserverinfosetting.c:17</a></div></div>
<div class="ttc" id="aclass_expansion_tooltip_server_setting_entry_html"><div class="ttname"><a href="../../dc/dd0/class_expansion_tooltip_server_setting_entry.html">ExpansionTooltipServerSettingEntry</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/df0/expansionbookmenutabserverinfosettingentry_8c_source.html#l00013">expansionbookmenutabserverinfosettingentry.c:14</a></div></div>
<div class="ttc" id="aexpansionbasebuildingsettings_8c_html_a88411b337d3c056629231f842cda3c63"><div class="ttname"><a href="../../d0/dc7/expansionbasebuildingsettings_8c.html#a88411b337d3c056629231f842cda3c63">CanCraftVanillaBasebuilding</a></div><div class="ttdeci">bool CanCraftVanillaBasebuilding</div><div class="ttdoc">List of items that are allowed to place in enemy territory, only works when AllowBuildingWithoutATerr...</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dc7/expansionbasebuildingsettings_8c_source.html#l00022">expansionbasebuildingsettings.c:22</a></div></div>
<div class="ttc" id="aexpansionbasebuildingsettings_8c_html_ace13b58b2b5e0cbabd37a53cfeb0e567"><div class="ttname"><a href="../../d0/dc7/expansionbasebuildingsettings_8c.html#ace13b58b2b5e0cbabd37a53cfeb0e567">CanCraftExpansionBasebuilding</a></div><div class="ttdeci">bool CanCraftExpansionBasebuilding</div><div class="ttdoc">When enabled, allows players to craft Vanilla basebuilding.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dc7/expansionbasebuildingsettings_8c_source.html#l00023">expansionbasebuildingsettings.c:23</a></div></div>
<div class="ttc" id="aexpansionterritorysettings_8c_html_a403ed449c1c5efd661a8a1c6717c7cad"><div class="ttname"><a href="../../d3/d61/expansionterritorysettings_8c.html#a403ed449c1c5efd661a8a1c6717c7cad">UseWholeMapForInviteList</a></div><div class="ttdeci">bool UseWholeMapForInviteList</div><div class="ttdoc">If enabled, use the expansion territory system.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d61/expansionterritorysettings_8c_source.html#l00019">expansionterritorysettings.c:19</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_962bfa1893272c9ca8d900ccfa6a09f5.html">Book</a></li><li class="navelem"><a class="el" href="../../dir_5f6b997996f72d4bae47b189b5fbd491.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_8d5b9013e1e30f115ed1c9aa343b42f9.html">5_mission</a></li><li class="navelem"><a class="el" href="../../dir_b9f01b84f4b1924a81a59a6ed9f6add1.html">dayzexpansion_book</a></li><li class="navelem"><a class="el" href="../../dir_9b9d04b47302adcbb3988d4c606fd4b1.html">book</a></li><li class="navelem"><a class="el" href="../../dir_c42bf3830d2b96dfe174506f42af663f.html">booktabs</a></li><li class="navelem"><a class="el" href="../../dir_ff4c18de1031e31c1cd9f84f806d630a.html">serverinfo</a></li><li class="navelem"><a class="el" href="../../d2/d93/expansionbookmenutabserverinfosetting_8c.html">expansionbookmenutabserverinfosetting.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
